Bug 54850 - Error creating/modifying user accounts.
Summary: Error creating/modifying user accounts.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-users   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-21 00:53 UTC by Chris Kloiber
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-08 17:26:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Kloiber 2001-10-21 00:53:34 UTC
Description of Problem:

Create a user and set a password using redhat-config-users, then look at
the /etc/shadow file and you will see:

foo:$1$iyzcUR3o$c5CGQJkzFq5LQIMvyoIiA0:11616:-1:99999:-1:-1:-1:

Those -1's shouldn't be there. I have also seen it occasionally write 0's
to some of those locations, causing error messages at login like:

Your account will expire in 0 days.

Version-Release number of selected component (if applicable):

redhat-config-users-0.9.2-6

How Reproducible:

always. you don't even need to change a users' settings just look at them
and hit apply.

Comment 1 Brent Fox 2001-10-23 04:32:26 UTC
nalin, any opinion here?  Should I just set the value to be null so that things
look like:
foo:$1$iyzcUR3o$c5CGQJkzFq5LQIMvyoIiA0:11616::99999::::
instead of:
foo:$1$iyzcUR3o$c5CGQJkzFq5LQIMvyoIiA0:11616:-1:99999:-1:-1:-1:




Comment 2 Brent Fox 2002-01-08 17:26:37 UTC
Nalin, any input here?

Comment 3 Brent Fox 2002-01-31 17:43:55 UTC
Nalin is changing libuser (the backend that redhat-config-users uses) so that
libuser will do the right thing if you try to set it to -1.  This will be fixed
in the next version of libuser and redhat-config-users.  Resolving as Rawhide.


Note You need to log in before you can comment on or make changes to this bug.